import { Component, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { NewChatComponent } from './popup/new-chat.component';
import { NewGroupComponent } from './popup/new-group.component';
import { SettingComponent } from './popup/setting.component';
import { NewChatInfoComponent } from './popup/new-chat-info.component';
import { StepLayoutComponent } from './popup/step-layout.component';
import { AlertComponent } from './popup/alert.component';
import { ConfirmComponent } from './popup/confirm.component';

@Component({
  selector: 'app-common',
  templateUrl: './common.component.html',
  styleUrls: ['./common.component.scss']
})
export class CommonComponent implements OnInit {
  constructor(public dialog: MatDialog) {}

  ngOnInit(): void {}

  openDialog(type: string): void {
    switch (type) {
      case 'CHAT':
        this.dialog.open(NewChatComponent, {
          // width: '850px',
          data: {}
        });
        break;
      case 'CHAT_INFO':
        this.dialog.open(NewChatInfoComponent, {
          // width: '600px',
          data: {}
        });
        break;
      case 'GROUP_INFO':
        this.dialog.open(NewGroupComponent, {
          // width: '850px',
          data: {}
        });
        break;
      case 'STEP_LAYOUT':
        this.dialog.open(StepLayoutComponent, {
          // width: '850px',
          data: {}
        });
        break;
      case 'SETTING':
        this.dialog.open(SettingComponent, {
          // width: '250px',
          data: {}
        });
        break;
    }
  }

  openAlert() {
    this.dialog.open(AlertComponent, {
      // width: '350px',
      data: {}
    });
  }
  openConfirm() {
    this.dialog.open(ConfirmComponent, {
      // width: '350px',
      data: {}
    });
  }
}
